Configuration - EntireX Adapter

#### Search Results

Search

# Configuration - EntireX Adapter

This section provides information on the configuration steps required in the EntireX Adapter in order to use the Adabas Replication Service for webMethods Integration Server.

This document is organized as follows:

- Creating and Managing Connections

- Creating or Managing an Adabas Replication Listener Connection with the Broker as External Process

- Creating or Managing an Adabas Replication Direct Listener Connection

## Creating and Managing Connections

In the EntireX Adapter menu you can manage existing connections and create new connections. The steps required to establish a new connection and the settings that can be made depend on the connection type.

The following connection-specific instructions apply when setting up a new or managing an existing connection unless mentioned otherwise.

To create a new connection or manage an existing connection

1. In the EntireX Adapter menu go to Connections.

2. Click on Configure New Connection to create a new connection

   Or:
   Choose an existing connection and click on Edit.

   For a new connection, the following screen is shown:

3. Select the type of connection you want to establish.

4. For an existing connection or when the type of connection has been selected for a new connection, the next screen to be shown depends on the type of connection. Please refer to the following sections for details.

## Creating or Managing an Adabas Replication Listener Connection with the Broker as External Process

To create an Adabas Replication Listener Connection

1. In the EntireX Adapter menu go to Connections.

   Click on Adabas Replication Listener Connection.

   The following screen is shown:

2. Provide the required parameter values. Parameters and their possible values are described in the following table:

   Parameter | Description
   --- | ---
   Package | Name of the package where the connection is stored.
   Folder Name | Name of the folder where the connection is stored.
   Connection Name | The name of the connection.
   Broker ID | The ID of the broker you want to connect to. This ID consists of a host and an optional port. Default for the port is 1971.
   Server Address | The address of the RPC server registered to the broker above. The address is given in the format `<class>/<server>/<service>`.
   Logon User | The name of the user to log on to the broker.
   Logon Password | The password for the user above.
   Retype Logon Password | Verification of the password.
   Single Conversation Mode | Enables or disables the use of Single Conversation Mode. Default: true.
   Enable Connection Pooling | Enables the adapter to use connection pooling. Default: true. Refer to Connection Pooling under EntireX Adapter Connections in the webMethods EntireX documentation for more information on connection pooling.
   Minimum Pool Size | If connection pooling is enabled, this field specifies the minimum number of connection objects that remain in the connection pool at all times. When the adapter creates the pool, it creates this number of connections. Default: 1.
   Maximum Pool Size | The maximum number of connection objects that can exist in the connection pool. The adapter will reuse any inactive connections in the pool or, if all connections are active and the connection pool has reached its maximum size, the adapter will wait for a connection to become available. Default: 10.
   Pool Increment Size | If connection pooling is enabled, this field specifies the number of connections by which the pool will be incremented if connections are needed, up to the maximum pool size. Default: 1.
   Block Timeout | If connection pooling is enabled, this field specifies the number of milliseconds that the Integration Server will wait to obtain a connection before it times out and returns an error. Default: 1000.
   Expire Timeout | If connection pooling is enabled, this field specifies the number of milliseconds that an inactive connection can remain in the pool before it is closed and removed from the pool. For example, to specify 10 seconds, specify 10000. Enter 0 to specify no timeout. Default: 1000. Note The adapter will never violate the Minimum Pool Size parameter. These connections remain in the pool regardless of how long they are inactive.
   Startup Retry Count | The number of times that the system should attempt to initialize the connection pool at startup if the initial attempt fails. Default: 0.
   Startup Backoff Timeout | The number of seconds that the system should wait between attempts to initialize the connection pool.

3. Click on Save Connection.

## Creating or Managing an Adabas Replication Direct Listener Connection

To create an Adabas Replication Direct Listener Connection

1. In the EntireX Adapter menu go to Connections.

   Click on Adabas Replication Direct Listener Connection.

   The following screen is shown:

2. Provide the required parameter values. Parameters and their possible values are described in the following table:

   Parameter | Description
   --- | ---
   Package | Name of the package where the connection is stored.
   Folder Name | Name of the folder where the connection is stored.
   Connection Name | The name of the connection.
   Server Address | The address of the RPC server. The address is given in the format `<class>/<server>/<service>`.
   Enable Connection Pooling | Enables the adapter to use connection pooling. Default: true. Refer to Connection Pooling under EntireX Adapter Connections in the webMethods EntireX documentation for more information on connection pooling.
   Minimum Pool Size | If connection pooling is enabled, this field specifies the minimum number of connection objects that remain in the connection pool at all times. When the adapter creates the pool, it creates this number of connections. Default: 1.
   Maximum Pool Size | The maximum number of connection objects that can exist in the connection pool. The adapter will reuse any inactive connections in the pool or, if all connections are active and the connection pool has reached its maximum size, the adapter will wait for a connection to become available. Default: 10.
   Pool Increment Size | If connection pooling is enabled, this field specifies the number of connections by which the pool will be incremented if connections are needed, up to the maximum pool size. Default: 1.
   Block Timeout | If connection pooling is enabled, this field specifies the number of milliseconds that the Integration Server will wait to obtain a connection before it times out and returns an error. Default: 1000.
   Expire Timeout | If connection pooling is enabled, this field specifies the number of milliseconds that an inactive connection can remain in the pool before it is closed and removed from the pool. For example, to specify 10 seconds, specify 10000. Enter 0 to specify no timeout. Default: 1000. Note The adapter will never violate the Minimum Pool Size parameter. These connections remain in the pool regardless of how long they are inactive.
   Startup Retry Count | The number of times that the system should attempt to initialize the connection pool at startup if the initial attempt fails. Default: 0.
   Startup Backoff Timeout | The number of seconds that the system should wait between attempts to initialize the connection pool.

3. Click on Save Connection.

Once you have established a connection, you have to define a listener for each connection you want to use with the Adabas Replication Service for webMethods Integration Server. Defining listeners is described in the following section Using the Adabas Replication Wizard.

### On this page

- Creating and Managing Connections
- Creating or Managing an Adabas Replication Listener Connection with the Broker as External Process
- Creating or Managing an Adabas Replication Direct Listener Connection